Bug 19228 - Confirm delete doesn't show when deleting an item from course
Summary: Confirm delete doesn't show when deleting an item from course
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Course reserves (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-31 21:18 UTC by Aleisha Amohia
Modified: 2017-10-14 12:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19228: Trigger confirm delete when removing item from course (3.13 KB, patch)
2017-08-31 21:21 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 19228: Trigger confirm delete when removing item from course (3.19 KB, patch)
2017-09-07 10:09 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19228: Trigger confirm delete when removing item from course (3.27 KB, patch)
2017-09-07 16:58 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-08-31 21:18:14 UTC
The code is there but the confirm box isn't popping up!
Comment 1 Aleisha Amohia 2017-08-31 21:21:54 UTC
Created attachment 66676 [details] [review]
Bug 19228: Trigger confirm delete when removing item from course

To test:
1) Enable UseCourseReserves syspref
2) Go to Course Reserves
3) Add a new course if you don't already have one
4) Add an item to the course
5) Click 'remove' to delete the item from the course
6) Notice the item deletes straight away with no confirmation prompt
7) Apply the patch
8) Repeat steps 4 and 5
9) Confirm the confirmation box pops up and works as expected

Sponsored-by: Catalyst IT
Comment 2 Claire Gravely 2017-09-07 10:09:38 UTC
Created attachment 66920 [details] [review]
Bug 19228: Trigger confirm delete when removing item from course

To test:
1) Enable UseCourseReserves syspref
2) Go to Course Reserves
3) Add a new course if you don't already have one
4) Add an item to the course
5) Click 'remove' to delete the item from the course
6) Notice the item deletes straight away with no confirmation prompt
7) Apply the patch
8) Repeat steps 4 and 5
9) Confirm the confirmation box pops up and works as expected

Sponsored-by: Catalyst IT
Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Jonathan Druart 2017-09-07 16:58:30 UTC
Created attachment 66952 [details] [review]
Bug 19228: Trigger confirm delete when removing item from course

To test:
1) Enable UseCourseReserves syspref
2) Go to Course Reserves
3) Add a new course if you don't already have one
4) Add an item to the course
5) Click 'remove' to delete the item from the course
6) Notice the item deletes straight away with no confirmation prompt
7) Apply the patch
8) Repeat steps 4 and 5
9) Confirm the confirmation box pops up and works as expected

Sponsored-by: Catalyst IT
Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-09-07 18:07:37 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-10-10 09:54:57 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 6 Katrin Fischer 2017-10-14 12:02:28 UTC
This patch has been pushed to 16.11.x and will be in 16.11.13.